#ifndef __RENDERING_STUFF
#define __RENDERING_STUFF

#include <DevIL/il.h>
#include <DevIL/ilu.h>
#include <FL/Fl_Image.h>
#include <FL/Fl_JPEG_Image.h>
#include <FL/Fl_PNG_Image.h>
#include <FL/Fl_BMP_Image.h>
#include <FL/Fl_GIF_Image.h>
#include <Fl/filename.h>
#include "../CUDA/CUDA_PushPull.h"
#include "../CUDA/CUDA_Lightcuts.h"
#include "../Math/Vector.h"
#include <vector>
#include "GameStateVBO.h"
#include <GL/glew.h>
#include <FL/gl.H>
#include <GL/glut.h>

using namespace std;

void renderImperfectShadowMaps(void);
void renderPointRepresentationOfScene(bool shaderAlreadyBound, Vector viewVec, Vector viewPos);
void renderTV(void);
void visualizeLights(void);
void visualizeClustering(int step);
void drawSkybox();
void renderImageToDisk(int width, int height);


#endif