#ifndef __GLOBAL
#define __GLOBAL

#define __STR2__(x) #x
#define __STR1__(x) __STR2__(x)
#define __LOC__ __FILE__ "("__STR1__(__LINE__)") : Warning Msg: "


//#include "common.h"
#include <FL/FL_CHOICE.h>
#include <FL/FL_INPUT.h>


extern int debugscreen;
extern int anzopts;

extern char* pointsShader;
extern char* writeGeometryShader;

extern unsigned int ism_framebuffer;

extern bool pullPush;
extern int pullPushMaxLevel;
extern bool shadowPointsOnly;


//extern float sceneUnitsToMeters;
//extern float biasByPercentageOfLightVector;

extern bool clusterLightTree;

extern bool showLights;
extern bool showClustering;

extern Fl_Choice* lightChoice; 

extern char width_c[10];
extern char height_c[10];
extern char numThread_c[10];
extern char ism_size_c[10];

extern bool reRenderISMs;
extern int ism_size;
extern int ism_atlas_size;
extern int lightSpaceMatrices_size;

extern int renderingHeight;
extern int renderingWidth;

extern bool reBuildLightTree;

extern unsigned int ism_atlas;

extern float* shadowMap;
extern float* lightSpaceMatrices;

extern int anzClusters;

extern int renderMode; //0 = software, radiosity | 1 = hardware, radiosity | 2 = software, lightcuts | 3 = hardware, lightcuts;

extern int maximumCutSizeAllowed;

extern bool sceneIsBeingLoaded;

extern int optimalNumberOfThreads;

extern bool printDebugOutput;
extern bool printLightcutDebugInfoToFile;
extern float renderingTime;
extern float avgCutSize;

#endif