#ifndef __AREALIGHT
#define __AREALIGHT

#include "Point.h"
#include "VPL.h"
#include <list>

using namespace std;

class AreaLight
{
public:
	string name;
	Point bBoxMin;
	Point bBoxMax;
	Point primaryDirection;
	int anzPrimaryLights;
	char* anzPrimaryLights_c;
	int virtualToPrimaryRatio;
	char* virtualToPrimaryRatio_c;
	float intensity;
	char* intensity_c;
	list<VPL*> lights;

	AreaLight(string _name, Point _bBoxMin, Point _bBoxMax, Point _primDir, int _anzPrimaryLights, int _virtualToPrimaryRatio, float _intensity); 
	~AreaLight();
};


#endif