
#include <math.h>
#include "Vector.h"
#include <iostream>

using namespace std;

#ifndef _Point
#define _Point


#define PI 3.141592654

class Point
{
public:
	float x,y,z; //coordinates


	//std-constructor, creates Point (0,0,0)
	Point(void);

	//constructor. creates point from float coords
	Point(float _x, float _y, float _z);	

	//Overloads operator
	//Enables the use of "==" for Point-objects
	bool operator==(const Point& p);



};

//Enables the use of "-" for Point-objects
Vector operator-(const Point& p1, const Point& p2);

//Global operator overloading of "+" operator for 1 point and 1 vector.
//Returns the new point
Point operator+ (Point p, Vector v);

//Global operator overloading of "-" operator for 1 point and 1 vector.
//Returns the new point
Point operator- (Point p, Vector v);


#endif