#ifndef __VPL_H
#define __VPL_H

#include "Point.h"
#include "Vector.h"


class VPL
{
public:
	Point position;
	Vector normal;
	float color[4];
	float intensityRatio;

	int shadowMapAtPixelX;
	int shadowMapAtPixelY;
	int lightSpaceMatrixAtPixelX;
	int lightSpaceMatrixAtPixelY;

	int index; //leider notwendig, das refaktorisieren war mir zu muehsam

	VPL(void);
	VPL(const VPL* v2);
	void debugOutput(void)
	{
		printf("posX = %f, posY = %f, posZ = %f", position.x, position.y, position.z);
	}
	void truncateData(void)
	{
		position.x = floor(position.x*100)/100;
		position.y = floor(position.y*100)/100;
		position.z = floor(position.z*100)/100;
	}
};


#endif