#ifndef __SCENE
#define __SCENE

#include <iostream>
#include <list>
#include <vector>
#include "../Math/AreaLight.h"
#include <stdio.h>
#include <string.h>
#include <fstream>
#include <assert.h>
#include <tchar.h>
#include <string>

using namespace std;

class Scene
{
public:
	static vector<string> modelsToLoad;
	static int numOfModelsToLoad;

	static list<AreaLight*> areaLightSources;

	static float sceneUnitsToMeters;
	static float biasByPercentageOfLightVector;

	static void destroyScene(void);

	static void readSceneFromFile(string filename);

	static float sceneBboxDiagonal;
};

#endif 