#include "AreaLight.h"

AreaLight::AreaLight(string _name, Point _bBoxMin, Point _bBoxMax, Point _primDir, int _anzPrimaryLights, int _virtualToPrimaryRatio, float _intensity)
{
	name = _name;
	bBoxMin = _bBoxMin;
	bBoxMax = _bBoxMax;
	primaryDirection = _primDir;
	anzPrimaryLights = _anzPrimaryLights;
	virtualToPrimaryRatio = _virtualToPrimaryRatio;
	intensity = _intensity;

	anzPrimaryLights_c = new char[30];
	sprintf_s(anzPrimaryLights_c, 30, "%i", anzPrimaryLights);

	virtualToPrimaryRatio_c = new char[30];
	sprintf_s(virtualToPrimaryRatio_c, 30, "%i", virtualToPrimaryRatio);

	intensity_c = new char[30];
	sprintf_s(intensity_c, 30, "%.2f", intensity);

	for(int i=0; i<10; i++)
		lights.push_back(new VPL());

}

AreaLight::~AreaLight()
{
	list<VPL*>::iterator it;
	for(it = lights.begin(); it!=lights.end(); it++)
	{
		delete *it;
		*it=0;
	}
	delete anzPrimaryLights_c;
	anzPrimaryLights_c = 0;

	delete virtualToPrimaryRatio_c;
	virtualToPrimaryRatio_c = 0;

	delete intensity_c;
	intensity_c = 0;
}