#include <math.h>
#include "Ray.h"


//std-constructor
Ray::Ray()
{
	origin = Point();
	direction = Vector();
}

//constructor. creates ray from float coords
Ray::Ray(float originX, float originY, float originZ, 
		float directionX, float directionY, float directionZ)
{
	origin = Point(originX, originY, originZ);
	direction = Vector(directionX, directionY, directionZ);
}

//constructor. creates ray from float coords
Ray::Ray(Point _origin, Vector _direction)
{
	origin = _origin;
	direction = _direction;
}
