#include <math.h>
#include "Point.h"
#include "Vector.h"
#include <iostream>
using namespace std;

#ifndef _Ray
#define _Ray

#define PI 3.141592654

class Ray
{
public:
	Point origin;
	Vector direction;

	//std-constructor. creates null ray (0,0,0), (0,0,0)
	Ray(void);

	//constructor. creates vector from float coords
	Ray(float originX, float originY, float originZ, 
		float directionX, float directionY, float directionZ);	

	//constructor
	Ray(Point origin, Vector direction); 
};

#endif