/******************************************************************************

  This source code accompanies the Journal of Graphics Tools paper:

  "Fast Ray / Axis-Aligned Bounding Box Overlap Tests using Ray Slopes" 
  by Martin Eisemann, Thorsten Grosch, Stefan Müller and Marcus Magnor
  Computer Graphics Lab, TU Braunschweig, Germany and
  University of Koblenz-Landau, Germany
  
  This source code is public domain, but please mention us if you use it.

******************************************************************************/
#ifndef _SLOPE_H
#define _SLOPE_H

#include "ray_2.h"
#include "aabox.h"

bool slope(ray_2 *r, aabox *b);

#endif
