// includes, system
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <math.h>

extern "C" void initCuda(int argc, char **argv);
extern "C" void process(int pbo_in, int pbo_out, int width, int height, int radius);
extern "C" void pboRegister(int pbo);
extern "C" void pboUnregister(int pbo);



__device__ void test()
{
	
}


__global__ void cudaMagic()
{
	test();
}


extern "C" void
launch_cudaProcess(int frameWidth, int frameHeight)
{
	dim3 grid(1, 1, 1);
	dim3 block(frameWidth, frameHeight, 1);
	
    cudaMagic<<< grid, block >>> ();
}

